## proofgeneral 4.2~pre120206

=== Makefile ===
##
## Makefile for Proof General.
## 
## Author:  David Aspinall <David.Aspinall@ed.ac.uk>
##
##  make		- do "compile" targets
##  make compile	- make .elc's 
##  make scripts	- edit paths to bash/perl/PGHOME in scripts
##  make install	- install into system directories
##  make clean		- return to clean source
##
## Edit the EMACS setting below or call with an explicit one, like this:
##
##     make EMACS=emacs-23.0.60
## or
##     make EMACS=/Applications/Emacs.app/Contents/MacOS/Emacs
##
## $Id: Makefile,v 12.1 2012/01/10 13:03:24 da Exp $
## 
###########################################################################

# Set this according to your version of Emacs.
# NB: this is also used to set default install path names below.
EMACS=$(shell if [ -z "`which emacs`" ]; then echo "Emacs executable not found"; exit 1; else echo emacs; fi)
# EMACS=/Applications/Emacs.app/Contents/MacOS/Emacs

# We default to /usr rather than /usr/local because installs of
# desktop and doc files under /usr/local are unlikely to work with
# rest of the system.  If that's no good for you, edit the paths
# individually before the install section.
# NB: DEST_PREFIX is used for final destination prefix, in case we're
# packaging into a build prefix rather than live root (e.g. in rpmbuild).
PREFIX=/usr
DEST_PREFIX=/usr

PWD=$(shell pwd)

PROVERS=acl2 ccc coq hol98 isar lego pgshell phox
OTHER_ELISP=generic lib contrib/mmm
ELISP_DIRS=${PROVERS} ${OTHER_ELISP}
ELISP_EXTRAS=isar/interface isar/isartags
EXTRA_DIRS = images

DOC_FILES=AUTHORS BUGS COMPATIBILITY CHANGES COPYING INSTALL README REGISTER doc/*.pdf
DOC_EXAMPLES=acl2/*.acl2 hol98/*.sml isar/*.thy lclam/*.lcm lego/*.l pgshell/*.pgsh phox/*.phx plastic/*.lf twelf/*.elf
DOC_SUBDIRS=${DOC_EXAMPLES} */README* */CHANGES */BUGS 

BATCHEMACS=${EMACS} --batch --no-site-file -q 

# Scripts to edit paths to shells
BASH_SCRIPTS = isar/interface bin/proofgeneral
PERL_SCRIPTS = lego/legotags coq/coqtags isar/isartags
# Scripts to edit path to PG
PG_SCRIPTS = bin/proofgeneral

# Scripts to install to bin directory
BIN_SCRIPTS = bin/proofgeneral lego/legotags coq/coqtags isar/isartags

# Setting load path might be better in Elisp, but seems tricky to do
# only during compilation.  Another idea: put a function in proof-site
# to output the compile-time load path and ELISP_DIRS so these are set
# just in that one place.
BYTECOMP = $(BATCHEMACS) -eval '(setq load-path (append (mapcar (lambda (d) (concat "${PWD}/" (symbol-name d))) (quote (${ELISP_DIRS}))) load-path))' -eval '(progn (require (quote bytecomp)) (require (quote mouse)) (require (quote tool-bar)) (require (quote fontset)) (setq byte-compile-warnings (remove (quote cl-functions) (remove (quote noruntime) byte-compile-warning-types))) (setq byte-compile-error-on-warn t))' -f batch-byte-compile
EL=$(shell for f in $(ELISP_DIRS); do ls $$f/*.el; done)
ELC=$(EL:.el=.elc)

.SUFFIXES:	.el .elc

default: all

FORCE:

## 
## compile : byte compile all lisp files
##
## Compiling can show up errors in the code, but be wary of fixing obsoletion
## or argument call warnings unless they're valid for all supported Emacsen.
##
compile: $(EL) 
	@echo "****************************************************************"
	@echo " Byte compiling... "
	@echo "****************************************************************"
	$(MAKE) elc
	@echo "****************************************************************"
	@echo " Finished."
	@echo "****************************************************************"


##
## Make an individual .elc.  Building separately means we need to be
## careful to add proper requires in source files and prevent
## evaluating/optimising top-level forms too early.  Using a separate
## emacs process for each file is slower but avoids any chance of
## accidently polluting the compilation environment, it also should
## work with make -j n.
##
.el.elc:
	$(BYTECOMP) $*.el

elc:	$(ELC)


##
## Default targets
##

all:	compile


##
## Remove generated targets
##
clean:	cleanpgscripts
	rm -f $(ELC) *~ */*~ .\#* */.\#* */.autotest.log */.profile.log
	(cd doc; $(MAKE) clean)

distclean: clean

##
## Install files 
##
DESKTOP_PREFIX=${PREFIX}

# Set Elisp directories according to paths used in Red Hat RPMs
# (which may or may not be official Emacs policy).  We generate
# a pg-init.el file which loads the appropriate proof-site.el.
ELISPP=share/${EMACS}/site-lisp/ProofGeneral
ELISP_START=${PREFIX}/share/${EMACS}/site-lisp/site-start.d

ELISP=${PREFIX}/${ELISPP}
DEST_ELISP=${DEST_PREFIX}/${ELISPP}

BINDIR=${PREFIX}/bin
DESKTOP=${PREFIX}/share
DOCDIR=${PREFIX}/share/doc/ProofGeneral
MANDIR=${PREFIX}/share/man/man1
INFODIR=${PREFIX}/share/info

install: install-desktop install-elisp install-bin install-init

install-desktop:
	mkdir -p ${DESKTOP}/icons/hicolor/16x16
	cp etc/desktop/icons/16x16/proofgeneral.png ${DESKTOP}/icons/hicolor/16x16
	mkdir -p ${DESKTOP}/icons/hicolor/32x32
	cp etc/desktop/icons/32x32/proofgeneral.png ${DESKTOP}/icons/hicolor/32x32
	mkdir -p ${DESKTOP}/icons/hicolor/48x48
	cp etc/desktop/icons/48x48/proofgeneral.png ${DESKTOP}/icons/hicolor/48x48
	mkdir -p ${DESKTOP}/pixmaps
	cp etc/desktop/icons/48x48/proofgeneral.png ${DESKTOP}/pixmaps
	mkdir -p ${DESKTOP}/applications
	cp etc/desktop/proofgeneral.desktop ${DESKTOP}/applications
	mkdir -p ${DESKTOP}/mime-info
	cp etc/desktop/mime-info/proofgeneral.mime ${DESKTOP}/mime-info
	cp etc/desktop/mime-info/proofgeneral.keys ${DESKTOP}/mime-info
# backwards compatibility with old linuxes
	mkdir -p ${DESKTOP}/application-registry
	cp etc/desktop/application-registry/proofgeneral.applications ${DESKTOP}/application-registry

# NB: .el files are not strictly necessary, but we package/install them
# for the time being to help with debugging, or for users to recompile.
install-elisp: install-el install-elc

# NB: "elisp" directory actually includes the extra subdirs in EXTRA_DIRS,
# i.e. images.  FIXME: we could put these elsewhere, but
# then we would need to adjust paths in proof-site.el.
# FIMXE 3: Michaël Cadilhac pointed out that 'cp -p' when used with
# sudo to install will give users ownership instead of root. 
# Should use install program or fix ownerships afterwards here.
install-el:
	mkdir -p ${ELISP}
	for f in ${ELISP_DIRS} ${EXTRA_DIRS}; do mkdir -p ${ELISP}/$$f; done
	for f in ${ELISP_DIRS}; do cp -pf $$f/*.el ${ELISP}/$$f; done
	for f in ${EXTRA_DIRS}; do cp -prf $$f/* ${ELISP}/$$f; done
	for f in ${ELISP_EXTRAS}; do cp -pf $$f ${ELISP}/$$f; done

install-elc: compile
	mkdir -p ${ELISP}
	for f in ${ELISP_DIRS} ${EXTRA_DIRS}; do mkdir -p ${ELISP}/$$f; done
	for f in ${ELISP_DIRS}; do cp -pf $$f/*.elc ${ELISP}/$$f; done
	for f in ${ELISP_EXTRAS}; do cp -pf $$f ${ELISP}/$$f; done

install-init:
	mkdir -p ${ELISP_START}
	echo ';;; pg-init.el --- setup for Proof General' > ${ELISP_START}/pg-init.el
	echo "(setq load-path (append load-path '(\"${DEST_ELISP}/generic\")))" >> ${ELISP_START}/pg-init.el
	echo "(require 'proof-site)" >> ${ELISP_START}/pg-init.el

install-bin: scripts
	mkdir -p ${BINDIR}
	cp -pf ${BIN_SCRIPTS} ${BINDIR}

install-doc: doc.info doc.pdf
	mkdir -p ${MANDIR}
	cp -pf doc/proofgeneral.1 ${MANDIR}
	mkdir -p ${INFODIR}
	cp -pf doc/*.info ${INFODIR}
	/sbin/install-info ${INFODIR}/ProofGeneral.info* ${INFODIR}/dir
	/sbin/install-info ${INFODIR}/PG-adapting.info* ${INFODIR}/dir
	mkdir -p ${DOCDIR}
	for f in ${DOC_FILES}; do cp -pf $$f ${DOCDIR}; done
	for f in ${DOC_EXAMPLES}; do mkdir -p ${DOCDIR}/`dirname $$f`; cp -pf $$f ${DOCDIR}/$$f; done

doc: FORCE
	(cd doc; $(MAKE) EMACS=$(EMACS) $*)

doc.%: FORCE
	(cd doc; $(MAKE) EMACS=$(EMACS) $*)

##
## scripts: try to patch bash and perl scripts with correct paths
##
scripts: bashscripts perlscripts pgscripts

bashscripts:
	@(bash="`which bash`"; \
	 if [ -z "$$bash" ]; then \
	   echo "Could not find bash - bash paths not checked" >&2; \
	   exit 0; \
	 fi; \
	 for i in $(BASH_SCRIPTS); do \
	   sed "s|^#.*!.*/bin/bash.*$$|#!$$bash|" < $$i > .tmp \
	   && cat .tmp > $$i; \
	 done; \
	 rm -f .tmp)

perlscripts:
	@(perl="`which perl`"; \
	 if [ -z "$$perl" ]; then \
	   echo "Could not find perl - perl paths not checked" >&2; \
	   exit 0; \
	 fi; \
	 for i in $(PERL_SCRIPTS); do \
	   sed "s|^#.*!.*/bin/perl.*$$|#!$$perl|" < $$i > .tmp \
	   && cat .tmp > $$i; \
	 done; \
	 rm -f .tmp)

# FIXME: this next edit is really for install case, shouldn't be made
# just when user types 'make'
pgscripts:
	@(for i in $(PG_SCRIPTS); do \
	   sed "s|PGHOMEDEFAULT=.*$$|PGHOMEDEFAULT=${DEST_ELISP}|" < $$i > .tmp \
	   && cat .tmp > $$i; \
	 done; \
	 rm -f .tmp)

# Set PGHOME path in scripts back to default location.
cleanpgscripts:
	@(for i in $(PG_SCRIPTS); do \
	   sed "s|PGHOMEDEFAULT=.*$$|PGHOMEDEFAULT=\$$HOME/ProofGeneral|" < $$i > .tmp \
	   && cat .tmp > $$i; \
	 done; \
	 rm -f .tmp)

##
## Include developer's makefile if it exists here.
##

-include Makefile.devel

=== debian/changelog ===
proofgeneral (4.2~pre120206-1) unstable; urgency=low

  * new upstream prerelease (Closes: #642048)
  * moved to section editors 
  * standards version 3.9.3
  * fix compilation with emacs-nox (Closes: #660353)
  * don't support broken PhoX anymore (Closes: #544436)

 -- Hendrik Tews <hendrik@askra.de>  Tue, 28 Feb 2012 12:53:12 +0100

=== debian/control ===
Source: proofgeneral
Section: editors
Priority: optional
Maintainer: Hendrik Tews <hendrik@askra.de>
Build-Depends: debhelper (>= 8), texinfo, texlive-latex-base, texlive-generic-recommended, texi2html, emacs23-nox | emacs23 | emacs23-lucid
Standards-Version: 3.9.3
Homepage: http://proofgeneral.inf.ed.ac.uk

Package: proofgeneral
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, emacs23 | emacs23-nox | emacs23-lucid, mmm-mode
Suggests: proofgeneral-doc
Replaces: proofgeneral-coq, proofgeneral-misc
Conflicts: proofgeneral-coq, proofgeneral-minlog, proofgeneral-misc
Description: generic frontend for proof assistants
 Proof General is a major mode to turn Emacs into an interactive proof
 assistant to write formal mathematical proofs using a variety of
 theorem provers. 
 .
 This package provides the Proof General support for Coq, PhoX and LEGO.


Package: proofgeneral-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: info-browser | pdf-viewer | www-browser
Suggests: proofgeneral
Description: generic frontend for proof assistants - documentation
 Proof General is a major mode to turn Emacs into an interactive proof
 assistant to write formal mathematical proofs using a variety of
 theorem provers. 
 .
 This package provides Proof General user manual in info, html and pdf
 form.

=== debian/watch ===
# See uscan(1) - scan/watch upstream sources for new releases of software

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webserver directory
http://proofgeneral.inf.ed.ac.uk/releases/ProofGeneral-([0-9].*)\.tgz

## proofgeneral 4.2~pre120605

=== Makefile ===
--- 
+++ 
@@ -15,14 +15,14 @@
 ## or
 ##     make EMACS=/Applications/Emacs.app/Contents/MacOS/Emacs
 ##
-## $Id: Makefile,v 12.1 2012/01/10 13:03:24 da Exp $
+## $Id: Makefile,v 12.3 2012/03/05 18:52:34 tews Exp $
 ## 
 ###########################################################################
 
 # Set this according to your version of Emacs.
 # NB: this is also used to set default install path names below.
 EMACS=$(shell if [ -z "`which emacs`" ]; then echo "Emacs executable not found"; exit 1; else echo emacs; fi)
-# EMACS=/Applications/Emacs.app/Contents/MacOS/Emacs
+# EMACS=/Applications/Emacs\ 23.4.app/Contents/MacOS/Emacs
 
 # We default to /usr rather than /usr/local because installs of
 # desktop and doc files under /usr/local are unlikely to work with
@@ -30,12 +30,14 @@
 # individually before the install section.
 # NB: DEST_PREFIX is used for final destination prefix, in case we're
 # packaging into a build prefix rather than live root (e.g. in rpmbuild).
-PREFIX=/usr
-DEST_PREFIX=/usr
+# NBB: DESTDIR provides for staged installs, for instance when building 
+# Debian packages, see http://www.gnu.org/prep/standards/html_node/DESTDIR.html
+PREFIX=$(DESTDIR)/usr
+DEST_PREFIX=$(DESTDIR)/usr
 
 PWD=$(shell pwd)
 
-PROVERS=acl2 ccc coq hol98 isar lego pgshell phox
+PROVERS=acl2 ccc coq hol98 isar lego hol-light phox pgshell pgocaml pghaskell
 OTHER_ELISP=generic lib contrib/mmm
 ELISP_DIRS=${PROVERS} ${OTHER_ELISP}
 ELISP_EXTRAS=isar/interface isar/isartags

=== debian/changelog ===
proofgeneral (4.2~pre120605-2) unstable; urgency=low

  * add Breaks and Replaces dependencies for proofgeneral-doc (Closes: #694285)
  * delete wrong info in README.Debian

 -- Hendrik Tews <hendrik@askra.de>  Tue, 04 Dec 2012 14:50:27 +0100

proofgeneral (4.2~pre120605-1) unstable; urgency=low

  * New upstream release (Closes: #669318)
  * fix byte-compile-error-on-warn in emacsen-install, --no-site-file has
    been dropped already in 4.2~pre120411-2 (Closes: #671583)
  * use debian-emacs-flavor in emacsen-startup (see #662163)
  * delete patch disable-proof-tree, add patch smartly-enable-prooftree
    for enabling prooftree if Coq >= 8.4beta is detected
  * fix package description
  * add hints on Prooftree and incompatibility with manual Coq
    installations to README.Debian
  * new patch for using debian-pkg-add-load-path-item (see #670339), but
    don't use it, because debian-pkg-add-load-path-item breaks Proof
    General, see #676424

 -- Hendrik Tews <hendrik@askra.de>  Wed, 06 Jun 2012 23:12:58 +0200

proofgeneral (4.2~pre120411-2) unstable; urgency=low

  * link el files into ELCDIR (Closes: #670341)
  * link image files in emacsen-install
  * fix flavor in emacsen-startup (see #662163)

 -- Hendrik Tews <hendrik@askra.de>  Wed, 25 Apr 2012 22:57:47 +0200

proofgeneral (4.2~pre120411-1) unstable; urgency=low

  * New upstream release
  * remove 3 patches that have been applied upstream

 -- Hendrik Tews <hendrik@askra.de>  Sat, 21 Apr 2012 23:28:59 +0200

=== debian/control ===
--- 
+++ 
@@ -17,13 +17,16 @@
  assistant to write formal mathematical proofs using a variety of
  theorem provers. 
  .
- This package provides the Proof General support for Coq, PhoX and LEGO.
+ This package provides Proof General support for Coq. (There is no
+ other proof assistant that one could sensibly support.)
 
 
 Package: proofgeneral-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Breaks: proofgeneral (<< 4)
+Replaces: proofgeneral (<< 4)
 Recommends: info-browser | pdf-viewer | www-browser
 Suggests: proofgeneral
 Description: generic frontend for proof assistants - documentation
@@ -31,5 +34,5 @@
  assistant to write formal mathematical proofs using a variety of
  theorem provers. 
  .
- This package provides Proof General user manual in info, html and pdf
- form.
+ This package provides the Proof General user manual in info, html and
+ pdf form.

## proofgeneral 4.3~pre130510

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ## or
 ##     make EMACS=/Applications/Emacs.app/Contents/MacOS/Emacs
 ##
-## $Id: Makefile,v 12.3 2012/03/05 18:52:34 tews Exp $
+## $Id: Makefile,v 12.5 2013/01/15 21:48:49 tews Exp $
 ## 
 ###########################################################################
 
@@ -113,7 +113,7 @@
 ## Remove generated targets
 ##
 clean:	cleanpgscripts
-	rm -f $(ELC) *~ */*~ .\#* */.\#* */.autotest.log */.profile.log
+	rm -f $(ELC) .\#* */.\#* */.autotest.log */.profile.log
 	(cd doc; $(MAKE) clean)
 
 distclean: clean

=== doc/Makefile ===
##
## Makefile for Proof General doc directory.
##
## Author:  David Aspinall <da@inf.ed.ac.uk>
##
## Maintainer:  Proof General maintainer <da+proofgen@inf.ed.ac.uk>
##
## $Id: Makefile,v 12.0 2011/10/13 10:54:47 da Exp $
## 
###########################################################################
##
## Use:
##	make info,pdf,html    - build respective docs from texi source.
##	make doc              - make default kinds of doc (, info).
##
###########################################################################

default:
	$(MAKE) doc

%:
	$(MAKE) -f Makefile.doc DOCNAME=PG-adapting MAKE="$(MAKE) -f Makefile.doc" $@
	$(MAKE) -f Makefile.doc DOCNAME=ProofGeneral MAKE="$(MAKE) -f Makefile.doc" $@ 

##
## man page for proofgeneral script
##
# man: proofgeneral.1
#
proofgeneral.1: ../bin/proofgeneral
	help2man --output=$@  ../bin/proofgeneral

=== etc/coq/multiple/Makefile ===
##############################################################################
##                 The Calculus of Inductive Constructions                  ##
##                                                                          ##
##                                Projet Coq                                ##
##                                                                          ##
##                     INRIA                        ENS-CNRS                ##
##              Rocquencourt                        Lyon                    ##
##                                                                          ##
##                                  Coq V7                                  ##
##                                                                          ##
##                                                                          ##
##############################################################################

# WARNING
#
# This Makefile has been automagically generated by coq_makefile
# Edit at your own risks !
#
# END OF WARNING

#
# This Makefile was generated by the command line :
# coq_makefile a.v b1.v b2.v b.v c.v d.v 
#

##########################
#                        #
# Variables definitions. #
#                        #
##########################

CAMLP4LIB=`camlp4 -where`
COQSRC=-I $(COQTOP)/kernel -I $(COQTOP)/lib \
  -I $(COQTOP)/library -I $(COQTOP)/parsing \
  -I $(COQTOP)/pretyping -I $(COQTOP)/interp \
  -I $(COQTOP)/proofs -I $(COQTOP)/syntax -I $(COQTOP)/tactics \
  -I $(COQTOP)/toplevel -I $(COQTOP)/contrib/correctness \
  -I $(COQTOP)/contrib/extraction -I $(COQTOP)/contrib/field \
  -I $(COQTOP)/contrib/fourier -I $(COQTOP)/contrib/graphs \
  -I $(COQTOP)/contrib/interface -I $(COQTOP)/contrib/jprover \
  -I $(COQTOP)/contrib/omega -I $(COQTOP)/contrib/romega \
  -I $(COQTOP)/contrib/ring -I $(COQTOP)/contrib/xml \
  -I $(CAMLP4LIB)
ZFLAGS=$(OCAMLLIBS) $(COQSRC)
OPT=
COQFLAGS=-q $(OPT) $(COQLIBS) $(OTHERFLAGS) $(COQ_XML)
COQC=$(COQBIN)coqc
GALLINA=gallina
COQDOC=coqdoc
CAMLC=ocamlc -c
CAMLOPTC=ocamlopt -c
CAMLLINK=ocamlc
CAMLOPTLINK=ocamlopt
COQDEP=$(COQBIN)coqdep -c
GRAMMARS=grammar.cma
CAMLP4EXTEND=pa_extend.cmo pa_ifdef.cmo q_MLast.cmo
PP=-pp "camlp4o -I . -I $(COQTOP)/parsing $(CAMLP4EXTEND) $(GRAMMARS) -impl"

#########################
#                       #
# Libraries definition. #
#                       #
#########################

OCAMLLIBS=-I .
COQLIBS=-I .

###################################
#                                 #
# Definition of the "all" target. #
#                                 #
###################################

VFILES=a.v\
  b1.v\
  b2.v\
  b.v\
  c.v\
  d.v
VOFILES=$(VFILES:.v=.vo)
VIFILES=$(VFILES:.v=.vi)
GFILES=$(VFILES:.v=.g)
HTMLFILES=$(VFILES:.v=.html)
GHTMLFILES=$(VFILES:.v=.g.html)

all: a.vo\
  b1.vo\
  b2.vo\
  b.vo\
  c.vo\
  d.vo

spec: $(VIFILES)

gallina: $(GFILES)

html: $(HTMLFILES)

gallinahtml: $(GHTMLFILES)

all.ps: $(VFILES)
	$(COQDOC) -ps -o $@ `$(COQDEP) -sort -suffix .v $(VFILES)`

all-gal.ps: $(VFILES)
	$(COQDOC) -ps -g -o $@ `$(COQDEP) -sort -suffix .v $(VFILES)`



####################
#                  #
# Special targets. #
#                  #
####################

.PHONY: all opt byte archclean clean install depend html

.SUFFIXES: .v .vo .vi .g .html .tex .g.tex .g.html

.v.vo:
	$(COQC) $(COQDEBUG) $(COQFLAGS) $*

.v.vi:
	$(COQC) -i $(COQDEBUG) $(COQFLAGS) $*

.v.g:
	$(GALLINA) $<

.v.tex:
	$(COQDOC) -latex $< -o $@

.v.html:
	$(COQDOC) -html $< -o $@

.v.g.tex:
	$(COQDOC) -latex -g $< -o $@

.v.g.html:
	$(COQDOC) -html -g $< -o $@

byte:
	$(MAKE) all "OPT="

opt:
	$(MAKE) all "OPT=-opt"

include .depend

.depend depend:
	rm -f .depend
	$(COQDEP) -i $(COQLIBS) *.v *.ml *.mli >.depend
	$(COQDEP) $(COQLIBS) -suffix .html *.v >>.depend

install:
	mkdir -p `$(COQC) -where`/user-contrib
	cp -f *.vo `$(COQC) -where`/user-contrib

clean:
	rm -f *.cmo *.cmi *.cmx *.o *.vo *.vi *.g *~
	rm -f all.ps all-gal.ps $(HTMLFILES) $(GHTMLFILES)

archclean:
	rm -f *.cmx *.o

html:

# WARNING
#
# This Makefile has been automagically generated by coq_makefile
# Edit at your own risks !
#
# END OF WARNING

=== debian/changelog ===
proofgeneral (4.3~pre130510-1) unstable; urgency=low

  * New upstream release (Closes: #707331)
  * improve watch file (thanks to Bart Martens for the uversionmangle hint)
  * add new patch to install coq example and add hint in tutorial 
    (Closes: #687977) 
  * add new patch fix-texinfo-5-1-bug to fix a problem with texinfo 5.1
  * add new patch pg-image-bug to rename ProofGeneral.jpg
  * permit emacs24
  * update README.Debian
  * bump standards version to 3.9.4
  * debhelper compat level 9

 -- Hendrik Tews <hendrik@askra.de>  Wed, 15 May 2013 17:11:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: editors
 Priority: optional
 Maintainer: Hendrik Tews <hendrik@askra.de>
-Build-Depends: debhelper (>= 8), texinfo, texlive-latex-base, texlive-generic-recommended, texi2html, emacs23-nox | emacs23 | emacs23-lucid
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), texinfo, texlive-latex-recommended, texlive-generic-recommended, texi2html, emacs23-nox | emacs23 | emacs23-lucid | emacs24-nox | emacs24 | emacs24-lucid
+Standards-Version: 3.9.4
 Homepage: http://proofgeneral.inf.ed.ac.uk
 
 Package: proofgeneral
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, emacs23 | emacs23-nox | emacs23-lucid, mmm-mode
+Depends: ${shlibs:Depends}, ${misc:Depends}, emacs23 | emacs23-nox | emacs23-lucid | emacs24 | emacs24-nox | emacs24-lucid, mmm-mode
 Suggests: proofgeneral-doc
 Replaces: proofgeneral-coq, proofgeneral-misc
 Conflicts: proofgeneral-coq, proofgeneral-minlog, proofgeneral-misc

## proofgeneral 4.3~pre131011

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 ##
 ##  make		- do "compile" targets
 ##  make compile	- make .elc's 
+##  make check          - compile with warning flags enabled
 ##  make scripts	- edit paths to bash/perl/PGHOME in scripts
 ##  make install	- install into system directories
 ##  make clean		- return to clean source
@@ -15,7 +16,7 @@
 ## or
 ##     make EMACS=/Applications/Emacs.app/Contents/MacOS/Emacs
 ##
-## $Id: Makefile,v 12.5 2013/01/15 21:48:49 tews Exp $
+## Makefile,v 12.7 2013/07/05 09:12:22 da Exp
 ## 
 ###########################################################################
 
@@ -62,7 +63,8 @@
 # only during compilation.  Another idea: put a function in proof-site
 # to output the compile-time load path and ELISP_DIRS so these are set
 # just in that one place.
-BYTECOMP = $(BATCHEMACS) -eval '(setq load-path (append (mapcar (lambda (d) (concat "${PWD}/" (symbol-name d))) (quote (${ELISP_DIRS}))) load-path))' -eval '(progn (require (quote bytecomp)) (require (quote mouse)) (require (quote tool-bar)) (require (quote fontset)) (setq byte-compile-warnings (remove (quote cl-functions) (remove (quote noruntime) byte-compile-warning-types))) (setq byte-compile-error-on-warn t))' -f batch-byte-compile
+ERROR_ON_WARN = nil
+BYTECOMP = $(BATCHEMACS) -eval '(setq load-path (append (mapcar (lambda (d) (concat "${PWD}/" (symbol-name d))) (quote (${ELISP_DIRS}))) load-path))' -eval '(progn (require (quote bytecomp)) (require (quote mouse)) (require (quote tool-bar)) (require (quote fontset)) (setq byte-compile-warnings (remove (quote cl-functions) (remove (quote noruntime) byte-compile-warning-types))) (setq byte-compile-error-on-warn $(ERROR_ON_WARN)))' -f batch-byte-compile
 EL=$(shell for f in $(ELISP_DIRS); do ls $$f/*.el; done)
 ELC=$(EL:.el=.elc)
 
@@ -78,11 +80,33 @@
 ## Compiling can show up errors in the code, but be wary of fixing obsoletion
 ## or argument call warnings unless they're valid for all supported Emacsen.
 ##
+## The compile target displays errors as warnings only for compatibility 
+## with newer Emacs versions (see ticket #458).
+##
 compile: $(EL) 
 	@echo "****************************************************************"
 	@echo " Byte compiling... "
 	@echo "****************************************************************"
 	$(MAKE) elc
+	@echo "****************************************************************"
+	@echo " Finished."
+	@echo "****************************************************************"
+
+## 
+## compile : byte compile all lisp files
+##
+## Compiling can show up errors in the code, but be wary of fixing obsoletion
+## or argument call warnings unless they're valid for all supported Emacsen.
+##
+## The check target aborts compilation on any byte-compiler warning.
+## Compile with this target once before commiting your changes to 
+## the repository.
+##
+check: $(EL) 
+	@echo "****************************************************************"
+	@echo " Byte compiling... "
+	@echo "****************************************************************"
+	$(MAKE) ERROR_ON_WARN=t elc
 	@echo "****************************************************************"
 	@echo " Finished."
 	@echo "****************************************************************"

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ##
 ## Maintainer:  Proof General maintainer <da+proofgen@inf.ed.ac.uk>
 ##
-## $Id: Makefile,v 12.0 2011/10/13 10:54:47 da Exp $
+## Makefile,v 12.0 2011/10/13 10:54:47 da Exp
 ## 
 ###########################################################################
 ##

=== debian/changelog ===
proofgeneral (4.3~pre131011-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove {build,runtime} alternative dependencies on emacs23*:
    Emacs 23 is not in testing/sid anymore, and sbuild always picks
    the first alternative, which made the package FTBFS (Closes: #768619).

 -- intrigeri <intrigeri@debian.org>  Sun, 16 Nov 2014 17:46:59 +0100

proofgeneral (4.3~pre131011-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release
  * debian/patches
    - drop fix-texinfo-5-1-bug.patch: unnecessary anymore
    - drop pg-image-bug.patch: unnecessary (cause FTBFS)

 -- Hideki Yamane <henrich@debian.org>  Tue, 12 Aug 2014 22:03:50 +0900

proofgeneral (4.3~pre130510-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control
    - add "Build-Depends: texlive-fonts-recommended" to fix FTBFS
     (Closes: #738392)
    - remove unnecessary "Build-Depends: texi2html" due to transtion
      (see https://wiki.debian.org/Texi2htmlTransition)
  * debian/patches
    - add transition_to_makeinfo.patch to use makeinfo, instead of texi2html
  * also update debian/proofgeneral-doc.doc-base to deal with changes with
    above

 -- Hideki Yamane <henrich@debian.org>  Sat, 15 Feb 2014 19:57:15 +0900

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: editors
 Priority: optional
 Maintainer: Hendrik Tews <hendrik@askra.de>
-Build-Depends: debhelper (>= 9), texinfo, texlive-latex-recommended, texlive-generic-recommended, texi2html, emacs23-nox | emacs23 | emacs23-lucid | emacs24-nox | emacs24 | emacs24-lucid
+Build-Depends: debhelper (>= 9), texinfo, texlive-latex-recommended, texlive-generic-recommended, texlive-fonts-recommended, emacs24-nox | emacs24 | emacs24-lucid
 Standards-Version: 3.9.4
 Homepage: http://proofgeneral.inf.ed.ac.uk
 
 Package: proofgeneral
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, emacs23 | emacs23-nox | emacs23-lucid | emacs24 | emacs24-nox | emacs24-lucid, mmm-mode
+Depends: ${shlibs:Depends}, ${misc:Depends}, emacs24 | emacs24-nox | emacs24-lucid, mmm-mode
 Suggests: proofgeneral-doc
 Replaces: proofgeneral-coq, proofgeneral-misc
 Conflicts: proofgeneral-coq, proofgeneral-minlog, proofgeneral-misc

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ 

.PHONY: override_dh_auto_build
override_dh_auto_build:
	make prepare-doc


.PHONY: override_dh_auto_test
override_dh_auto_test:
	true


.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --exclude=proofgeneral.pdf

## proofgeneral 4.4.1~pre170114

=== Makefile ===
--- 
+++ 
@@ -12,18 +12,15 @@
 ##
 ## Edit the EMACS setting below or call with an explicit one, like this:
 ##
-##     make EMACS=emacs-23.0.60
-## or
 ##     make EMACS=/Applications/Emacs.app/Contents/MacOS/Emacs
 ##
-## Makefile,v 12.7 2013/07/05 09:12:22 da Exp
+## $Id$
 ## 
 ###########################################################################
 
 # Set this according to your version of Emacs.
 # NB: this is also used to set default install path names below.
 EMACS=$(shell if [ -z "`which emacs`" ]; then echo "Emacs executable not found"; exit 1; else echo emacs; fi)
-# EMACS=/Applications/Emacs\ 23.4.app/Contents/MacOS/Emacs
 
 # We default to /usr rather than /usr/local because installs of
 # desktop and doc files under /usr/local are unlikely to work with
@@ -36,12 +33,10 @@
 PREFIX=$(DESTDIR)/usr
 DEST_PREFIX=$(DESTDIR)/usr
 
-PWD=$(shell pwd)
-
 PROVERS=acl2 ccc coq hol98 isar lego hol-light phox pgshell pgocaml pghaskell
 OTHER_ELISP=generic lib contrib/mmm
 ELISP_DIRS=${PROVERS} ${OTHER_ELISP}
-ELISP_EXTRAS=isar/interface isar/isartags
+ELISP_EXTRAS=
 EXTRA_DIRS = images
 
 DOC_FILES=AUTHORS BUGS COMPATIBILITY CHANGES COPYING INSTALL README REGISTER doc/*.pdf
@@ -54,6 +49,9 @@
 BASH_SCRIPTS = isar/interface bin/proofgeneral
 PERL_SCRIPTS = lego/legotags coq/coqtags isar/isartags
 # Scripts to edit path to PG
+# the scripts target (part of install) and the cleanscripts target
+# (part of clean) work only under the assumption that PG_SCRIPTS is a subset of
+# the union of BASH_SCRIPTS and PERL_SCRIPTS.
 PG_SCRIPTS = bin/proofgeneral
 
 # Scripts to install to bin directory
@@ -64,7 +62,7 @@
 # to output the compile-time load path and ELISP_DIRS so these are set
 # just in that one place.
 ERROR_ON_WARN = nil
-BYTECOMP = $(BATCHEMACS) -eval '(setq load-path (append (mapcar (lambda (d) (concat "${PWD}/" (symbol-name d))) (quote (${ELISP_DIRS}))) load-path))' -eval '(progn (require (quote bytecomp)) (require (quote mouse)) (require (quote tool-bar)) (require (quote fontset)) (setq byte-compile-warnings (remove (quote cl-functions) (remove (quote noruntime) byte-compile-warning-types))) (setq byte-compile-error-on-warn $(ERROR_ON_WARN)))' -f batch-byte-compile
+BYTECOMP = $(BATCHEMACS) -eval '(setq load-path (append (mapcar (lambda (d) (expand-file-name (symbol-name d))) (quote (${ELISP_DIRS}))) load-path))' -eval '(progn (require (quote bytecomp)) (require (quote mouse)) (require (quote tool-bar)) (require (quote fontset)) (setq byte-compile-warnings (remove (quote cl-functions) (remove (quote noruntime) byte-compile-warning-types))) (setq byte-compile-error-on-warn $(ERROR_ON_WARN)))' -f batch-byte-compile
 EL=$(shell for f in $(ELISP_DIRS); do ls $$f/*.el; done)
 ELC=$(EL:.el=.elc)
 
@@ -136,7 +134,7 @@
 ##
 ## Remove generated targets
 ##
-clean:	cleanpgscripts
+clean:	cleanscripts
 	rm -f $(ELC) .\#* */.\#* */.autotest.log */.profile.log
 	(cd doc; $(MAKE) clean)
 
@@ -235,48 +233,50 @@
 ##
 ## scripts: try to patch bash and perl scripts with correct paths
 ##
+.PHONY: scripts
 scripts: bashscripts perlscripts pgscripts
 
+.PHONY: bashscripts
 bashscripts:
-	@(bash="`which bash`"; \
+	(bash="`which bash`"; \
 	 if [ -z "$$bash" ]; then \
 	   echo "Could not find bash - bash paths not checked" >&2; \
 	   exit 0; \
 	 fi; \
 	 for i in $(BASH_SCRIPTS); do \
-	   sed "s|^#.*!.*/bin/bash.*$$|#!$$bash|" < $$i > .tmp \
-	   && cat .tmp > $$i; \
-	 done; \
-	 rm -f .tmp)
-
+	   sed -i.orig "s|^#.*!.*/bin/bash.*$$|#!$$bash|" $$i; \
+	 done)
+
+.PHONY: perlscripts
 perlscripts:
-	@(perl="`which perl`"; \
+	(perl="`which perl`"; \
 	 if [ -z "$$perl" ]; then \
 	   echo "Could not find perl - perl paths not checked" >&2; \
 	   exit 0; \
 	 fi; \
 	 for i in $(PERL_SCRIPTS); do \
-	   sed "s|^#.*!.*/bin/perl.*$$|#!$$perl|" < $$i > .tmp \
-	   && cat .tmp > $$i; \
-	 done; \
-	 rm -f .tmp)
+	   sed -i.orig "s|^#.*!.*/bin/perl.*$$|#!$$perl|" $$i; \
+	 done)
 
 # FIXME: this next edit is really for install case, shouldn't be made
 # just when user types 'make'
-pgscripts:
-	@(for i in $(PG_SCRIPTS); do \
-	   sed "s|PGHOMEDEFAULT=.*$$|PGHOMEDEFAULT=${DEST_ELISP}|" < $$i > .tmp \
-	   && cat .tmp > $$i; \
-	 done; \
-	 rm -f .tmp)
+.PHONY: pgscripts
+pgscripts: bashscripts perlscripts
+	(for i in $(PG_SCRIPTS); do \
+	   sed -i.rm "s|PGHOMEDEFAULT=.*$$|PGHOMEDEFAULT=${DEST_ELISP}|" $$i; \
+	 done)
 
 # Set PGHOME path in scripts back to default location.
-cleanpgscripts:
-	@(for i in $(PG_SCRIPTS); do \
-	   sed "s|PGHOMEDEFAULT=.*$$|PGHOMEDEFAULT=\$$HOME/ProofGeneral|" < $$i > .tmp \
-	   && cat .tmp > $$i; \
-	 done; \
-	 rm -f .tmp)
+.PHONY: cleanscripts
+cleanscripts:
+	(for i in $(PG_SCRIPTS) $(BASH_SCRIPTS) $(PERL_SCRIPTS); do \
+	   if [ -f $$i.rm ] ; then \
+	     rm -f $$i.rm; \
+	   fi; \
+	   if [ -f $$i.orig ] ; then \
+             mv -f $$i.orig $$i; \
+           fi; \
+	 done)
 
 ##
 ## Include developer's makefile if it exists here.

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ##
 ## Maintainer:  Proof General maintainer <da+proofgen@inf.ed.ac.uk>
 ##
-## Makefile,v 12.0 2011/10/13 10:54:47 da Exp
+## $Id$
 ## 
 ###########################################################################
 ##

=== debian/changelog ===
proofgeneral (4.4.1~pre170114-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on texlive-plain-generic instead of
    texlive-generic-recommended. Thanks to Steve Langasek for
    patch. (Closes: #941544)

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 16 Dec 2019 17:50:59 +0100

proofgeneral (4.4.1~pre170114-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Switch to unversioned emacs-gtk package (Closes: #880285)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jul 2019 10:15:05 +0200

proofgeneral (4.4.1~pre170114-1) unstable; urgency=medium

  * Imported Upstream version 4.4.1~pre170114
    git hash 6d1f608c6e7c39eff89b9461a2f4ea7ff1b19899
  * fix lintian copyright issue
  * add patch fix-coqtags and install coqtags
  * add emacsen compat file (Closes: #758968)
  * add patch desktop-keyword-entry for desktop-entry-lacks-keywords-entry
    lintian warning
  * disable StartupWMClass towards a solution of #746466
  * fix emacs warning inside emacsen-install

 -- Hendrik Tews <hendrik@askra.de>  Mon, 16 Jan 2017 17:30:55 +0100

proofgeneral (4.4.1~pre161230-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Make package work with emacs24 or emacs25 (Closes: #846990).
  * debian/control: Remove ${shlib:Depends} for package proofgeneral.
  * Drop debian/menu, following tech-ctte decision on #741573.
  * debian/README.Debian: Remove special note about prooftree, which
    is now a proper Debian package, and added HOL Light as prover.
  * debian/*: Adapt to new upstream home at github.
  * debian/patches/:
    - drop smartly-enable-prooftree
    - restrict-installed-provers.patch: added hol-light as prover
    - refresh all others

 -- Richard B. Kreckel <kreckel@debian.org>  Fri, 30 Dec 2016 22:22:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: editors
 Priority: optional
 Maintainer: Hendrik Tews <hendrik@askra.de>
-Build-Depends: debhelper (>= 9), texinfo, texlive-latex-recommended, texlive-generic-recommended, texlive-fonts-recommended, emacs24-nox | emacs24 | emacs24-lucid
-Standards-Version: 3.9.4
-Homepage: http://proofgeneral.inf.ed.ac.uk
+Build-Depends: debhelper (>= 9), texinfo, texlive-latex-recommended, texlive-plain-generic, texlive-fonts-recommended, emacs-gtk
+Standards-Version: 3.9.8
+Homepage: https://proofgeneral.github.io/
 
 Package: proofgeneral
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, emacs24 | emacs24-nox | emacs24-lucid, mmm-mode
-Suggests: proofgeneral-doc
+Depends: ${misc:Depends}, emacs-gtk, mmm-mode
+Suggests: proofgeneral-doc, prooftree
 Replaces: proofgeneral-coq, proofgeneral-misc
 Conflicts: proofgeneral-coq, proofgeneral-minlog, proofgeneral-misc
 Description: generic frontend for proof assistants

=== debian/watch ===
# See uscan(1) - scan/watch upstream sources for new releases of software

# Compulsory line, this is a version 3 file
version=3

opts=uversionmangle=s/([.0-9]+)RC(\d)/$1rc$2/;s/([.0-9]+)((rc|pre)\d+)$/$1~$2/ \
http://proofgeneral.inf.ed.ac.uk/releases/ProofGeneral-([0-9].*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
